# -*- coding: utf-8 -*-
from qgis.PyQt.QtCore import Qt
from qgis.PyQt.QtGui import (QBrush, QColor, QImage, QPalette, QPixmap)
from qgis.PyQt.QtWidgets import (QApplication, QDialog, QFrame, QLabel, QTextEdit)

from autoLoaderRaster.utils import (funnyPushButton, getThemeIcon, windowIcon)


class ui_About(QDialog):
    def __init__(self, parent):
        QDialog.__init__(self)
        self.parent = parent
        self.setupUi()
    
    def setupUi(self):
        self.setObjectName("ui_About")
        self.maxWidth, self.maxheight = 530, 400 
        self.setMinimumSize(self.maxWidth,self.maxheight)
        self.setMaximumSize(self.maxWidth,self.maxheight)        
        self.resize(self.maxWidth, self.maxheight) 
        windowIcon(self, "about.png")
        
        self.textEdit = QTextEdit(self)

        palette = QPalette()
        brush = QBrush(QColor(0,0,0,0))
        brush.setStyle(Qt.SolidPattern)
        palette.setBrush(QPalette.Active, QPalette.Base,brush)
        brush = QBrush(QColor(0,0,0,0))
        brush.setStyle(Qt.SolidPattern)
        palette.setBrush(QPalette.Inactive, QPalette.Base,brush)

        brush = QBrush(QColor(255,255,255))
        brush.setStyle(Qt.SolidPattern)
        palette.setBrush(QPalette.Disabled, QPalette.Base,brush)
        self.textEdit.setPalette(palette)
        self.textEdit.setAutoFillBackground(True)
        self.textEdit.width = 320
        self.textEdit.height = 380
        self.textEdit.setFrameShape(QFrame.NoFrame)
        self.textEdit.setFrameShadow(QFrame.Plain)
        self.textEdit.setReadOnly(True)
        self.textEdit.setObjectName("textEdit")
        self.textEdit.setTextInteractionFlags(Qt.TextBrowserInteraction)
        self.textEdit.setGeometry(10, 320, 200, 60)  

        self.labelImage = QLabel(self)
        myImgPath = getThemeIcon("autoLoaderRasterPluginAbout.png")
        carIcon = QImage(myImgPath)
        self.labelImage.setPixmap(QPixmap.fromImage(carIcon))
        self.labelImage.setGeometry(60, 10, 440, 300)


        icon = getThemeIcon("closeabout.png")
        toolTip = QApplication.translate("autoLoaderRasterPlugin","Close")
        self.closeButton = funnyPushButton(self)
        self.closeButton.initPushButton(128, 128, 180, 250, "closeButton", "", toolTip, True, icon, 128, 128, True)
        
        self.translateUi()
        self.closeButton.clicked.connect(self.reject)
        

    def translateUi(self):
        title = QApplication.translate("autoLoaderRasterPlugin", "Dynamic grid raster loader")
        self.setWindowTitle("%s %s" % (title, self.parent.version))
        self.textEdit.setHtml("<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
        "p, li { white-space: pre-wrap; }\n"
        "</style></head><body style=\" font-family:\'Sans Serif\'; font-size:8pt; font-weight:400; font-style:normal;\">\n"
        "</td></tr></table>"
        "<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"></p>\n"
        "<p style=\"margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">"
        "<b>M. MASSE Christophe</b>."
        "<br><i>%s</i></p></body></html>" % self.parent.dateVersion)

